Name: 		bkchem
Version: 	0.13.0
Release: 	%mkrel 1
Summary: 	Python 2D chemical structure drawing tool
License: 	GPLv2+
Group: 		Sciences/Chemistry
URL: 		http://bkchem.zirael.org
Source0:	http://bkchem.zirael.org/download/%{name}-%{version}.tar.xz
Patch0:		bkchem-0.14.0-PIL.patch
Patch1:		bkchem-fix-piddle.patch
BuildArch:	noarch
BuildRequires:	python-devel
Requires:       python-imaging
Requires:       python-cairo
Requires:       python-pmw
Requires:       tkinter
#Requires:	python-oasa
BuildArch:	noarch

%description
BKChem is a free chemical drawing program. It was conceived and written by Beda Kosata. 
Supported file formats are SVG and CML. The output looks best with the Adobe SVG viewer, 
but sodipodi and batik do a reasonable job as well.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
touch INSTALL.binary
chmod 644 gpl.txt README

%build
# nothing

%install
#mkdir -p %{buildroot}%{_bindir}
#touch %{buildroot}%{_bindir}/%{name}
python setup.py install --root=%{buildroot}

# fix attributes
pushd %{buildroot}%{_datadir}
chmod 644 `find -type f`
chmod 755 `find -type d`
popd

rm -fr %{buildroot}%{_prefix}/doc/api

# fix executable
rm -f %{buildroot}%{_bindir}/%{name}

touch %{buildroot}%{_bindir}/%{name}
echo '#!/bin/sh' > %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_MODULE_PATH=%{py_puresitedir}/%{name}' >> %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_TEMPLATE_PATH=%{_datadir}/%{name}/templates' >> %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_PIXMAP_PATH=%{_datadir}/%{name}/pixmaps' >> %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_IMAGE_PATH=%{_datadir}/%{name}/images' >> %{buildroot}%{_bindir}/%{name}
echo 'python %{py_puresitedir}/%{name}/%{name}.py "$@"' >> %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BKChem
Comment=2D chemical structure drawing tool
Exec=bkchem
Icon=bkchem
Terminal=false
Type=Application
Categories=Science;Chemistry;
EOF

# install icon
install -Dpm 0644 images/bkchem.png %{buildroot}/%{_datadir}/pixmaps/bkchem.png

%find_lang BKChem

%files -f BKChem.lang
%doc gpl.txt progress.log INSTALL README doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{py_puresitedir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{py_puresitedir}/*.egg-info
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/locale/*


%changelog
* Fri Dec 22 2017 Zen Subz <techars21 at gmail dot com> - 0.13.0-1pclos2017
- Imported patch for PIL from v0.14.0.pre2
- Added patch to fix piddle warnings
- Build for PCLinuxOS
